<?php

namespace App\Classes\Modules\Receipts\Services;


use App\Models\Receipt;

class ChecksIfReceiptBillNoExists
{

    private $repository;

    public function __construct(Receipt $repository)
    {
        $this->repository = $repository;
    }

    public function execute(int $bill_no): bool {
        return $this->repository->where('bill_no', $bill_no)->exists();
    }

}